DIRCOLORS(1)

NOME
dircolors - configura as cores para 'ls'

SINOPSE
dircolors [-b] [--sh] [--bourne-shell] [-c] [--csh] [--c-shell] [-p] [--print-database] [--help] [--version] [ARQUIVO]

DESCRIÇÃO
dircolors emite um seqüência comandos de interpretador de comando para defenir a cor desejada para os comandos ls (e dir, etc.). Uso típico:
    eval `dircolors [OPÇÃO]... [ARQUIVO]`

Se ARQUIVO é especificado, dircolors o lê para determinar qual cor usar para os tipos de arquivos e extensões. Em outro caso, uma base de dados padrão é utilizada. Para detalhes sobre o formato deste arquivo, execute 'dircolors --print-database'.

A saída é um comando do interpretador que seleciona a variável de ambiente LS_COLORS. Você pode especificar a sintaxe do interpretador de comando para se usar na linha de comando, ou dircolors irá supô-la a partir da variável de ambiente SHELL

Depois da execução deste comando, 'ls --color' (ou qualquer alias para ls) irá listar os arquivos com as cores escolhidas.

OPÇÕES

-b, --sh, --bourne-shell
    Comandos de saída do interpretador de comandos Bourne. Este é o padrão selecionado para a variável de ambiente SHELL e não termina com csh ou tcsh.

-c, --csh, --c-shell
    Comandos de saída do interpretador de comandos C. Este é o padrão se SHELL termina com csh ou tcsh.

-p, --print-database
    Imprime a base de dados padrão (interna) de configuração de cores. Esta saída é um arquivo de configuração válido, e é razoavelmente descritiva de suas possibilidades.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis SHELL e TERM são usadas para encontrar a forma adequada dos comandos do interpretador. As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual. A variável LS_COLORS é usada para transferir informações para ls.

DE ACORDO COM
A saída colorida para ls(1) é uma extensão GNU. Esta implementação não é inteiramente compatível com o pacote original dircolors/color-ls distribuído com o Linux Slackware. É de se notar que suporte específico para os interpretadores de comando Z e Korn não estão presentes. Usuários destes interpretadores deverão usar o modo Bourne (-b).

VEJA TAMBÉM
dir_colors(5), ls(1)

ARQUIVOS

/etc/dir_colors
    Arquivo de configuração total do sistema do dircolors.

~/.dir_colors
    Arquivo de configuração para cada usuário do dircolors.

NOTAS
Esta página descreve dircolors como é encontrado no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)